<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/expand_pathname_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/13/84  expand_pathname_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in expand_pathname_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>:Entry: expand_pathname_: 02/13/84  expand_pathname_
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>Function: converts a relative or absolute pathname into a
<span id="L11" class="LineNr"> 11 </span>directory name and entryname.
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Syntax:
<span id="L15" class="LineNr"> 15 </span>declare expand_pathname_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L16" class="LineNr"> 16 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr"> 17 </span>call expand_pathname_ <span class="textRainbow_lv0_p0">(</span>pathname<span class="textRainbow_lv0_o0">,</span> dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Arguments:
<span id="L21" class="LineNr"> 21 </span>pathname
<span id="L22" class="LineNr"> 22 </span>   is the relative or absolute pathname to be expanded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr"> 23 </span>dirname
<span id="L24" class="LineNr"> 24 </span>   is the directory portion of the expanded pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L25" class="LineNr"> 25 </span>entryname
<span id="L26" class="LineNr"> 26 </span>   is the entryname portion of the expanded pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr"> 27 </span>code
<span id="L28" class="LineNr"> 28 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have one of the
<span id="L29" class="LineNr"> 29 </span>   following values:
<span id="L30" class="LineNr"> 30 </span>   error_table_$lesserr
<span id="L31" class="LineNr"> 31 </span>      too many less-than characters <span class="textRainbow_lv0_p0">(</span>&quot;&lt;&quot;<span class="textRainbow_lv0_p0">)</span> in pathname.
<span id="L32" class="LineNr"> 32 </span>   error_table_$badpath
<span id="L33" class="LineNr"> 33 </span>      invalid syntax in pathname.
<span id="L34" class="LineNr"> 34 </span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>   error_table_$pathlong
<span id="L37" class="LineNr"> 37 </span>      the expanded pathname is longer than 168 characters.
<span id="L38" class="LineNr"> 38 </span>   error_table_$entlong
<span id="L39" class="LineNr"> 39 </span>      the entryname of the expanded pathname is longer than 32
<span id="L40" class="LineNr"> 40 </span>      characters.
<span id="L41" class="LineNr"> 41 </span>   error_table_$no_wdir
<span id="L42" class="LineNr"> 42 </span>      a relative pathname is specified, but no working directory is in
<span id="L43" class="LineNr"> 43 </span>      force for the process.
<span id="L44" class="LineNr"> 44 </span>   error_table_$archive_pathname
<span id="L45" class="LineNr"> 45 </span>      the input pathname specified an archive component.
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>Notes:  This entry does not accept the syntax for specifying archive
<span id="L49" class="LineNr"> 49 </span>component pathnames; if one is supplied, an error code is returned.
<span id="L50" class="LineNr"> 50 </span>See the information on Constructing and interpreting names in the
<span id="L51" class="LineNr"> 51 </span>Programmer's Reference Manual for details.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>For compatability with older programs, if pathname is given as a null
<span id="L54" class="LineNr"> 54 </span>string, the working directory is used.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>:Entry:  add_suffix:  02/13/84 expand_pathname_$add_suffix
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>Function:  This entrypoint expands a relative or absolute pathname into
<span id="L61" class="LineNr"> 61 </span>a directory name and entryname portion, adding a suffix to the
<span id="L62" class="LineNr"> 62 </span>entryname if that suffix is not already present.
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>Syntax:
<span id="L66" class="LineNr"> 66 </span>declare expand_pathname_$add_suffix entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L67" class="LineNr"> 67 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L68" class="LineNr"> 68 </span>call expand_pathname_$add_suffix <span class="textRainbow_lv0_p0">(</span>pathname<span class="textRainbow_lv0_o0">,</span> suffix<span class="textRainbow_lv0_o0">,</span> dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span>
<span id="L69" class="LineNr"> 69 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L70" class="LineNr"> 70 </span>
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>Arguments:
<span id="L73" class="LineNr"> 73 </span>pathname
<span id="L74" class="LineNr"> 74 </span>   is the relative or absolute pathname to be expanded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L75" class="LineNr"> 75 </span>suffix
<span id="L76" class="LineNr"> 76 </span>   is the suffix to be added to the entryname.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The period
<span id="L77" class="LineNr"> 77 </span>   separating the entryname and the suffix should not be included.  If
<span id="L78" class="LineNr"> 78 </span>   a null string is supplied, no suffix is added.
<span id="L79" class="LineNr"> 79 </span>dirname
<span id="L80" class="LineNr"> 80 </span>   is the directory portion of the expanded pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L81" class="LineNr"> 81 </span>entryname
<span id="L82" class="LineNr"> 82 </span>   is the entryname portion of the expanded pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L83" class="LineNr"> 83 </span>code
<span id="L84" class="LineNr"> 84 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have the same
<span id="L85" class="LineNr"> 85 </span>   values described for expand_pathname_.
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>:Entry:  component:  02/13/84 expand_pathname_$component
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>Function:  This entrypoint expands a relative or absolute pathname into
<span id="L92" class="LineNr"> 92 </span>a directory name, an archive name, and an archive component portion, or
<span id="L93" class="LineNr"> 93 </span>into a directory name and entryname portion if no component name is
<span id="L94" class="LineNr"> 94 </span>present.
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>Syntax:
<span id="L98" class="LineNr"> 98 </span>declare expand_pathname_$component entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L99" class="LineNr"> 99 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L100" class="LineNr">100 </span>call expand_pathname_$component <span class="textRainbow_lv0_p0">(</span>pathname<span class="textRainbow_lv0_o0">,</span> dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span>
<span id="L101" class="LineNr">101 </span>     componentname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>Arguments:
<span id="L105" class="LineNr">105 </span>pathname
<span id="L106" class="LineNr">106 </span>   is the relative or absolute pathname to be expanded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L107" class="LineNr">107 </span>dirname
<span id="L108" class="LineNr">108 </span>   is the directory name portion of the expanded pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L109" class="LineNr">109 </span>entryname
<span id="L110" class="LineNr">110 </span>   if the input pathname specifies an archive component, this is the
<span id="L111" class="LineNr">111 </span>   entryname of the archive <span class="textRainbow_lv0_p0">(</span>with the archive suffix added<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L112" class="LineNr">112 </span>   Otherwise, this is the entryname portion of the input pathname.
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>componentname
<span id="L116" class="LineNr">116 </span>   if the input pathname specifies an archive component, this is the
<span id="L117" class="LineNr">117 </span>   component name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Otherwise, this is the null string.
<span id="L118" class="LineNr">118 </span>code
<span id="L119" class="LineNr">119 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have the same
<span id="L120" class="LineNr">120 </span>   values as described for expand_pathname_ except for
<span id="L121" class="LineNr">121 </span>   error_table_$archive_pathname.
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>:Entry:  component_add_suffix:
<span id="L125" class="LineNr">125 </span>02/13/84 expand_pathname_$component_add_suffix
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>Function:  This entrypoint expands a relative or absolute pathname into
<span id="L129" class="LineNr">129 </span>a directory name, an entryname, and an archive component name.  The
<span id="L130" class="LineNr">130 </span>specified suffix is added either to the entryname or component name, as
<span id="L131" class="LineNr">131 </span>appropriate, if it is not already present.
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>Syntax:
<span id="L135" class="LineNr">135 </span>declare expand_pathname_$component_add_suffix entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L136" class="LineNr">136 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L137" class="LineNr">137 </span>call expand_pathname_$component_add_suffix <span class="textRainbow_lv0_p0">(</span>pathname<span class="textRainbow_lv0_o0">,</span> suffix<span class="textRainbow_lv0_o0">,</span> dirname<span class="textRainbow_lv0_o0">,</span>
<span id="L138" class="LineNr">138 </span>     entryname<span class="textRainbow_lv0_o0">,</span> componentname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L139" class="LineNr">139 </span>
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>Arguments:
<span id="L142" class="LineNr">142 </span>pathname
<span id="L143" class="LineNr">143 </span>   is the relative or absolute pathname to be expanded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L144" class="LineNr">144 </span>suffix
<span id="L145" class="LineNr">145 </span>   is the suffix to be added to the component name or entryname.
<span id="L146" class="LineNr">146 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The period separating the entryname and the suffix should
<span id="L147" class="LineNr">147 </span>   not be included.  If a null string is supplied, no suffix is added.
<span id="L148" class="LineNr">148 </span>dirname
<span id="L149" class="LineNr">149 </span>   is the directory name portion of the expanded pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L150" class="LineNr">150 </span>entryname
<span id="L151" class="LineNr">151 </span>   if the input pathname specifies an archive component, this is the
<span id="L152" class="LineNr">152 </span>   entryname of the archive <span class="textRainbow_lv0_p0">(</span>with the archive suffix added<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L153" class="LineNr">153 </span>   Otherwise, this is the entryname portion of the input pathname, with
<span id="L154" class="LineNr">154 </span>   the specified suffix added if it is not already present.
<span id="L155" class="LineNr">155 </span>
<span id="L156" class="LineNr">156 </span>
<span id="L157" class="LineNr">157 </span>componentname
<span id="L158" class="LineNr">158 </span>   if the input pathname specifies an archive component, this is the
<span id="L159" class="LineNr">159 </span>   component name, with the specified suffix added if it is not already
<span id="L160" class="LineNr">160 </span>   present.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Otherwise, this is the null string.
<span id="L161" class="LineNr">161 </span>code
<span id="L162" class="LineNr">162 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have the same
<span id="L163" class="LineNr">163 </span>   values as for the expand_pathname_$component entry.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
